org.keycloak.authorization.mongo.entities

## Class ResourceEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.authorization.mongo.entities.ResourceEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="resources")
      public class ResourceEntity
      extends AbstractIdentifiableEntity
      implements MongoIdentifiableEntity

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext invocationContext)` Lifecycle callback, which is called after removal of this object from Mongo.
    `String` | `getIconUri()`
    `String` | `getName()`
    `String` | `getOwner()`
    `String` | `getResourceServerId()`
    `List<String>` | `getScopes()`
    `String` | `getType()`
    `String` | `getUri()`
    `void` | `setIconUri(String iconUri)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setResourceServerId(String resourceServerId)`
    `void` | `setScopes(List<String> scopes)`
    `void` | `setType(String type)`
    `void` | `setUri(String uri)`
    `void` | `updateScopes(Set<Scope> toUpdate)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### ResourceEntity

          public ResourceEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri(String uri)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getScopes

          public List<String> getScopes()

    - #### setScopes

          public void setScopes(List<String> scopes)

    - #### getIconUri

          public String getIconUri()

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getResourceServerId

          public String getResourceServerId()

    - #### setResourceServerId

          public void setResourceServerId(String resourceServerId)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### updateScopes

          public void updateScopes(Set<Scope> toUpdate)

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext invocationContext)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2016 JBoss by Red Hat. All rights reserved.